Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name: 		kdemultimedia
Version: 	4.1.1
Release: 	1
Summary: 	K Desktop Environment - Multimedia applications

Group: 		Graphical Desktop/KDE4
License: 	GPLv2
URL: 		http://www.kde.org/
Source0: 	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdemultimedia-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/kdemultimedia-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	kde-filesystem >= 4
BuildRequires: 	kdelibs-devel >= %{version}
BuildRequires: 	kdebase-workspace-devel >= %{version}
BuildRequires: 	cmake
BuildRequires: 	taglib-devel >= 1.5-1
BuildRequires: 	libmusicbrainz-devel
BuildRequires: 	cdparanoia-III-devel cdparanoia-III
BuildRequires: 	flac-devel
BuildRequires: 	libvorbis-devel
BuildRequires: 	libtheora-1.0-devel
BuildRequires: 	giflib-devel
BuildRequires: 	pcre-devel
BuildRequires: 	alsa-lib-devel
BuildRequires: 	libogg-devel
BuildRequires: 	libtunepimp-devel
BuildRequires: 	libXcomposite-devel
BuildRequires: 	libXdamage-devel
BuildRequires: 	libxkbfile-devel
BuildRequires: 	libXpm-devel
BuildRequires: 	libXv-devel
BuildRequires: 	libXxf86misc-devel
BuildRequires: 	libXScrnSaver-devel
BuildRequires: 	libXtst-devel
BuildRequires:	xine-lib-devel

Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils
Requires: 	%{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: 	kdelibs >= %{version}
Requires: 	kdebase-workspace >= %{version}
Requires:	taglib >= 1.5
Obsoletes: 	kdemultimedia4 < %{version}-%{release}
Provides:  	kdemultimedia4 = %{version}-%{release}


%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The %{name} package contains multimedia applications for
KDE, including:
* juk (a music manager and player)
* kmix (an audio mixer)
* kscd (an Audio-CD player)
  kaudiocreator, a graphical frontend for audio file creation

%package libs
Summary: 	Runtime libraries for %{name}
Group:   	System/Libraries
Obsoletes: 	kdemultimedia4-libs < %{version}-%{release}
Provides:  	kdemultimedia4-libs = %{version}-%{release}


%description libs
%{summary}.


%package devel
Group:    	Development/Libraries
Summary:  	Header files for kdebase-workspace
Requires: 	%{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: 	kdelibs-devel kdebase-workspace-devel
Obsoletes: 	kdemultimedia4-devel < %{version}-%{release}
Provides:  	kdemultimedia4-devel = %{version}-%{release}

%description devel
Header files for developing applications using %{name}.

%prep
%setup -q

%build

mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%post
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/dragonplayer/
%{_kde4_appsdir}/juk/
%{_kde4_appsdir}/kmix/
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/konqsidebartng/
%{_kde4_appsdir}/profiles/*
%{_kde4_configdir}/dragonplayerrc
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/autostart/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_docdir}/HTML/en/dragonplayer/
%{_kde4_docdir}/HTML/en/juk/
%{_kde4_docdir}/HTML/en/kmix/
%{_kde4_docdir}/HTML/en/kscd/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/actions/player-volume-muted.*
%{_kde4_libdir}/libkdeinit*.so

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/kde4/*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/audiocdencoder.h
%{_kde4_includedir}/libkcddb/
%{_kde4_includedir}/libkcompactdisc/
%{_kde4_libdir}/lib*.so
%exclude %{_kde4_libdir}/libkdeinit*.so

%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- renamed package
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 2 )
* Tue Jun 17 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update ( 4.1 Beta 1 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Wed Dec 12 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Initial release
